Bug 488446 - Feature request: KMail should warn when it's missing a library
Feature request: KMail should warn when it's missing a library
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 07:42 EST by Jan Zeleny
Modified: 2016-11-30 19:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2009-03-04 07:42:41 EST
In KMail, there should be implemented some warning mechanism when requested action (or function) is disabled because of missing library.

For example: when I was trying to connect to email server using gsslib, Kmail showed: SASL(-4): no mechanism available: No worthy mechs found.

After a while I figured out cyrus-sasl-gssapi is not installed. I suggest either adding this and similar libraries to dependencies or implementing some warning mechanism, which would tell user, what exactly is wrong.
Comment 1 Rex Dieter 2009-03-04 08:55:08 EST
Not sure how to expect kmail to have intimate knowledge of the implementation details of the platform and libraries it uses to give proper advice in situations like this.

Problem being here is that gss support is optional (based on cyrus-sasl capabilities).  It turns out cyrus-sasl-gssapi is a mere 31k itself... I wonder why this was split into a separate and optional non-default package anyway.

cyrus-sasl folks, can you give some background/justification for the cyrus-sasl-gssapi split and/or some advice here?
Comment 2 Tomas Mraz 2009-03-04 09:32:20 EST
It was split because of the dependencies of the plugin to allow for minimal installs. The question is whether comps is enough to solve this. Especially when comps are getting obsolete. Also the RPM Suggest support which might help is not yet in Fedora.
Comment 3 Fedora Admin XMLRPC Client 2009-05-04 04:27:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2009-11-18 07:47:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Rex Dieter 2009-11-18 08:45:41 EST
Rebasing to rawhide (FutureFeature)

Re: comment #2
comps does support conditional dependencies, ie, install 'foo' if 'bar' is installed.   which may (or may not) suffice to help here.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 08:22:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Rex Dieter 2013-01-31 13:50:07 EST
ping, any movement here, or should we just admit defeat and WONTFIX?
Comment 8 Kevin Kofler 2013-01-31 21:40:51 EST
How about we just add Requires: cyrus-sasl-gssapi to kdepim.spec?
Comment 9 Kevin Kofler 2013-01-31 21:42:39 EST
(If we disagree about the split, may as well opt out of it that way.)
Comment 10 Jan Zeleny 2013-02-01 03:58:20 EST
That sounds like a viable option. But if you are going to go ahead with this, adding other SASL modules (if they are required) should be probably also considered.
Comment 11 Petr Lautrbach 2013-02-01 06:52:02 EST
Could a kmail try sasl_global_listmech(3) resp sasl_listmech(3) first to check if a method is available?

Note You need to log in before you can comment on or make changes to this bug.